[med-svn] [hmmer] 01/01: Autopkgtest added

Canberk Koç cbk-guest at moszumanska.debian.org
Thu Jun 16 20:17:51 UTC 2016


This is an automated email from the git hooks/post-receive script.

cbk-guest pushed a commit to branch master
in repository hmmer.

commit 0516cc596a67dc70987125e50e7c3e741aba1fa7
Author: cbk-guest <cbk-guests at scm.alioth.debian.org>
Date:   Thu Jun 16 23:17:42 2016 +0300

    Autopkgtest added
---
 debian/changelog           |  9 +++++++++
 debian/rules               | 14 ++++++++++++++
 debian/tests/control       |  3 +++
 debian/tests/run-unit-test | 26 ++++++++++++++++++++++++++
 4 files changed, 52 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index ea58bdb..2bd2b10 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+hmmer (3.1b2-4) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Autopkgtests added
+  * debian/rules:
+    - examples added
+
+ -- Canberk Koç <canberkkoc at gmail.com>  Thu, 16 Jun 2016 23:15:55 +0300
+
 hmmer (3.1b2-3) UNRELEASED; urgency=medium
 
   * Set VCS URLs to point to git repository
diff --git a/debian/rules b/debian/rules
index f4a5a66..bdb6357 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,6 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+pkgdata:=hmmer
+sampledir:=$(CURDIR)/debian/$(pkgdata)/usr/share/doc/$(pkgdata)/examples
+
 %:
 	dh $@ --with autotools_dev
 
@@ -28,3 +31,14 @@ override_dh_auto_clean:
 
 override_dh_compress:
 	dh_compress -Xtutorial/
+
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/src/impl;
+	find src/ -maxdepth 1 -name "*_utest" -exec cp \{\} $(sampledir)/src/ \;
+	find src/impl_sse -name "*_utest" -exec cp \{\} $(sampledir)/src/impl \;
+	cp src/itest_brute $(sampledir)/src;
+	cp src/hmmpress.itest.pl $(sampledir)/src;
+	cp -aR testsuite $(sampledir)/;
+	cp -aR easel $(sampledir)/;
+	cp -aR tutorial $(sampledir)/;
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..b8a7cf3
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions:
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..66f8cb2
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -e
+
+pkg="hmmer"
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+
+find . -name "*.gz" -exec gunzip \{\} \;
+
+chmod -R +x .
+
+echo easel testsuite
+$AUTOPKGTEST_TMP/easel/devkit/sqc 2 ./easel/testsuite/testsuite.sqc ./easel ./easel/
+
+echo hmmer testsuite
+find /usr/bin -name "*hmm*" -exec ln -s \{\} src \;
+./testsuite/../easel/devkit/sqc 2 ./testsuite/testsuite.sqc . ./testsuite/..
+echo $top_builddir
+
+echo "PASS"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/hmmer.git



More information about the debian-med-commit mailing list